IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[DURUMADI]') AND xtype in (N'FN', N'IF', N'TF'))
DROP FUNCTION [dbo].DURUMADI
GO


CREATE FUNCTION [dbo].[DURUMADI] (@Durum int)  
RETURNS nvarchar(15) AS  
BEGIN 
   RETURN
   CASE @Durum 
      WHEN 0 THEN 'Beklemede'
      WHEN 1 THEN 'İşlemde'
      WHEN 2 THEN 'Tamamlandı'
	  WHEN 3 THEN 'Yapılmayacak'
   END
END

